[SCM] BOINC packaging branch, master, updated. debian/6.10.17+dfsg-3-253-g11a2784

Steffen Moeller moeller at debian.org
Sun Jun 5 23:14:14 UTC 2011


The following commit has been merged in the master branch:
commit 7a5d509ba39d11706d13f398f6519942b5df4163
Author: Steffen Moeller <moeller at debian.org>
Date:   Sun Jun 5 23:46:02 2011 +0200

    Added download script for binaries in Debian.

diff --git a/debian/boinc-server-maker.examples b/debian/boinc-server-maker.examples
index f9bf180..b6ecdbe 100644
--- a/debian/boinc-server-maker.examples
+++ b/debian/boinc-server-maker.examples
@@ -1,3 +1,4 @@
+debian/fetch_example_applications.sh
 samples/atiopencl/Makefile
 samples/atiopencl/atiopencl.cpp
 samples/atiopencl/atiopencl.hpp
diff --git a/debian/changelog b/debian/changelog
index bdeac44..2b6b204 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+boinc (6.12.28+dfsg-7) UNRELEASED; urgency=low
+
+  * Added download script for binary applications from
+    Debian.
+
+ -- Steffen Moeller <moeller at debian.org>  Sun, 05 Jun 2011 23:44:49 +0200
+
 boinc (6.12.28+dfsg-6) unstable; urgency=low
 
   * Change amd64 platform name to upstream's
diff --git a/debian/fetch_example_applications.sh b/debian/fetch_example_applications.sh
new file mode 100755
index 0000000..cfa6671
--- /dev/null
+++ b/debian/fetch_example_applications.sh
@@ -0,0 +1,63 @@
+#!/bin/bash
+
+# This script shall support the initial setup 
+# of a BOINC server by assisting in the download
+# of example applications from Debian.
+#
+# This script is released under the same license
+# as BOINC, created and copyright by
+# Steffen Moeller <moeller at debian.org>
+
+set -e
+
+declare -A deb2boinc
+deb2boinc[armel]="armel-linux-gnu"
+deb2boinc[alpha]="alpha-linux-gnu"
+deb2boinc[amd64]="x86_64-pc-linux-gnu"
+deb2boinc[i386]="i686-pc-linux-gnu"
+deb2boinc[powerpc]="powerpc-linux-gnu"
+deb2boinc[powerpc64]="ppc64-linux-gnu"
+deb2boinc[ia64]="ia64-linux-gnu"
+deb2boinc[sparc]="sparc-linux-gnu"
+deb2boinc[sparc64]="sparc64-linux-gnu"
+deb2boinc[mips]="mips-linux-gnu"
+deb2boinc[s390]="s390-linux-gnu"
+
+mirror="http://ftp.de.debian.org/debian"
+version="6.12.28+dfsg-2"
+
+for arch in ${!deb2boinc[@]}
+do
+
+  if [ -d collection/$arch ]; then
+    echo "Destination directory 'collection/arch' already exiting ... skipping."
+    continue
+  fi
+
+  if [ ! -r $arch.deb ]; then 
+    url="$mirror/pool/main/b/boinc/boinc-server-maker_${version}_${arch}.deb"
+    if ! wget -O - $url > ${arch}.deb ; then
+       echo "Platform '$arch' failed to download .... skipping."
+       rm -f ${arch}.deb
+       continue
+    fi
+  fi
+
+  ar xvf ${arch}.deb data.tar.gz
+  echo "Untaring"
+  tar xzf data.tar.gz ./usr/lib/boinc-server/apps/
+  echo "Contents:"
+  ls ./usr/lib/boinc-server/apps/
+  mkdir -p collection
+  mv ./usr/lib/boinc-server/apps collection/$arch
+  mv usr deleteThisDir
+  rm -r deleteThisDir
+
+  for f in collection/$arch/*
+  do
+    echo renaming $f to ${f}_${deb2boinc[$arch]}
+    mv $f ${f}_${deb2boinc[$arch]}
+  done
+
+done
+

-- 
BOINC packaging



More information about the pkg-boinc-commits mailing list